Skip to content
View as Markdown

GET List Webhooks​

GET
/webhooks

Retrieve all webhooks along with available contact fields, custom fields, lists, and tags. Optionally filter webhooks by name using a search query. If the Companies module is enabled, company data is also included.

Authorizations​

ApplicationPasswords

WordPress Application Passwords — use Basic auth with your WordPress username and an application password in the format: username:application_password

Type
API Key (header: Authorization)

Parameters​

Query Parameters

search

Filter webhooks by name (case-insensitive partial match).

Type
string

Responses​

List of webhooks with related metadata.

application/json
JSON
{
"webhooks": [
{
"id": 0,
"object_type": "string",
"key": "string",
"value": {
"name": "string",
"status": "string",
"lists": [
0
],
"tags": [
0
],
"companies": [
0
],
"url": "string"
},
"created_at": "string",
"updated_at": "string"
}
],
"fields": [
{
"key": "string",
"field": "string"
}
],
"custom_fields": [
{
"key": "string",
"field": "string"
}
],
"lists": [
{
"id": 0,
"title": "string",
"slug": "string"
}
],
"tags": [
{
"id": 0,
"title": "string",
"slug": "string"
}
],
"companies": [
{
"id": 0,
"name": "string"
}
]
}

Playground​

Authorization
Variables
Key
Value

Samples​

Powered by VitePress OpenAPI